Prezi doesn't load

Bug #1239928 reported by Kristina Hoeppner on 2013-10-15
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
Medium
Jono Mingard
1.6
Medium
Robert Lyon
1.7
Medium
Robert Lyon
1.8
Medium
Robert Lyon

Bug Description

https://mahara.org/interaction/forum/topic.php?id=5777

I could not get the URL nor the embed code to work that Scott provided nor another one. It doesn't seem to be a mixed content issue as I did not try it on a SSL site.

description: updated
Robert Lyon (robertl-9) wrote :

When I go to the url in the object directly -> http://prezi.com/bin/preziloader.swf?prezi_id=bplj8khq8fal

It begins to load - I click the play button it does some more loading and then hangs at about 3/4 load ob blue bar at base of screen.

I suspect there might be an issue with the prezi.com file. This happened for me on FF and Chrome for Ubuntu.

Sean (sgainford) wrote :

Hello

Is there any work being done on this? We have the same problem of Prezis that used to work in Mahara but no longer.

Example:

Prezi in Mahara (located at the bottom of the page):

http://cumahara.coventry.ac.uk/view/view.php?t=mrM9atWRXQnS80CIHh5G

Original Prezi URL:

 http://prezi.com/kmnquf2e4rnz/finding-technology-march-2013/

george floyd (geoflo33) wrote :

The iframe embed code doesn't work at all.

 I embed a Prezi share link in an external block
"http://prezi.com/y12sonib8jkx/?utm_campaign=share&utm_medium=copy&rc=ex0share"
and Mahara generates the following code when the block is saved

"<object width="550" height="400"><param name="movie" value="https://prezi.com/bin/preziloader.swf?prezi_id=y12sonib8jkx"></param><param name="wmode" value="transparent"></param><param name="allowscriptaccess" value="never"></param><embed src="https://prezi.com/bin/preziloader.swf?prezi_id=y12sonib8jkx" type="application/x-shockwave-flash" wmode="transparent" width="550" height="400" allowscriptaccess="never"></embed></object>"

I tried setting allowscriptaccess to "always" and "sameDomain" with no success. I suspect it's a flash issue. Just not sure what the next step is.

Aaron Wells (u-aaronw) wrote :

I did some tests on my local machine (Mahara 1.9dev) and on mahara.org (1.7). I found:

1. Embedding a Prezi by iframe works fine (though if your site is HTTPS you will need to change the iframe URL to https:// or just //).

2. Embedding a Prezi by its URL no longer works.

Here's a page from mahara.org where I embedded them both: https://mahara.org/view/view.php?t=8VABibOWsgJ7rfc91zMx

Aaron Wells (u-aaronw) wrote :

Prezi has been doing some work on their embedding API (see http://engineering.prezi.com/blog/2013/09/03/prezi-javascript-api/ ) so I suspect the <object> code we were using before no longer works. We'll probably need to update it to use the new API. Or, just convert all the existing URL/object-based Prezi embeds into iframe embeds.

Reviewed: https://reviews.mahara.org/3039
Committed: http://gitorious.org/mahara/mahara/commit/f351566c6b24f6a40b050819c3c4e927aa3bdb6d
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit f351566c6b24f6a40b050819c3c4e927aa3bdb6d
Author: Jono Mingard <email address hidden>
Date: Mon Feb 24 16:55:36 2014 +1300

Use iframe to embed Prezi presentations (Bug #1239928)

Also upgrades the old <object> syntax to use iframes

Change-Id: I1d58c1a42ddf0e3db52a19c185ff64242f926cd2
Signed-off-by: Jono Mingard <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.6_STABLE" branch: https://reviews.mahara.org/3153

Reviewed: https://reviews.mahara.org/3151
Committed: http://gitorious.org/mahara/mahara/commit/f95bb8f4a35e5e907e7606ecab13c9aa067f0904
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit f95bb8f4a35e5e907e7606ecab13c9aa067f0904
Author: Jono Mingard <email address hidden>
Date: Mon Feb 24 16:55:36 2014 +1300

Use iframe to embed Prezi presentations (Bug #1239928)

Also upgrades the old <object> syntax to use iframes

Change-Id: I1d58c1a42ddf0e3db52a19c185ff64242f926cd2
Signed-off-by: Jono Mingard <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3153
Committed: http://gitorious.org/mahara/mahara/commit/b1074c71818a9148ef9e662094b0e53601709293
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.6_STABLE

commit b1074c71818a9148ef9e662094b0e53601709293
Author: Jono Mingard <email address hidden>
Date: Mon Feb 24 16:55:36 2014 +1300

Use iframe to embed Prezi presentations (Bug #1239928)

Also upgrades the old <object> syntax to use iframes

Change-Id: I1d58c1a42ddf0e3db52a19c185ff64242f926cd2
Signed-off-by: Jono Mingard <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3152
Committed: http://gitorious.org/mahara/mahara/commit/f4489fee4e846eb0ae163e68002a351b0b588fd0
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit f4489fee4e846eb0ae163e68002a351b0b588fd0
Author: Jono Mingard <email address hidden>
Date: Mon Feb 24 16:55:36 2014 +1300

Use iframe to embed Prezi presentations (Bug #1239928)

Also upgrades the old <object> syntax to use iframes

Change-Id: I1d58c1a42ddf0e3db52a19c185ff64242f926cd2
Signed-off-by: Jono Mingard <email address hidden>

Aaron Wells (u-aaronw) on 2014-04-03
no longer affects: mahara/1.9
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers